kudu-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Quanlong Huang <huangquanl...@gmail.com>
Subject Install kudu-1.6 in Ubuntu-14.04 via apt-get
Date Mon, 03 Sep 2018 14:08:16 GMT
Hi all,

We have a kudu cluster in version 1.6.0-cdh5.14.2. It's not managed by
Cloudera Manager. When we want to scale out the cluster (following the doc:
https://kudu.apache.org/releases/1.6.0/docs/installation.html, install by
apt-get), we found that the newly installed nodes are in
version 1.7.0+cdh5.15.1. Looks like this is the only version available for
Ubuntu:

$ apt-cache policy kudu
kudu:
  Installed: 1.7.0+cdh5.15.1+0-1.cdh5.15.1.p0.4~trusty-cdh5.15.1
  Candidate: 1.7.0+cdh5.15.1+0-1.cdh5.15.1.p0.4~trusty-cdh5.15.1
  Version table:
 *** 1.7.0+cdh5.15.1+0-1.cdh5.15.1.p0.4~trusty-cdh5.15.1 0
        501 http://archive.cloudera.com/cdh5/ubuntu/trusty/amd64/cdh/
trusty-cdh5/contrib
amd64 Packages
        100 /var/lib/dpkg/status

Is there any way to install kudu-1.6 without Cloudera Manager? The servers
are in Ubuntu-14.04. We can only find available deb files at
http://archive.cloudera.com/kudu/ubuntu/trusty/amd64/kudu/pool/contrib/k/kudu,
but there's no kudu-1.6. Another possible way is to extract and install
kudu-1.6 in the CDH parcel: http://archive.cloudera.com/cdh5/parcels/5.14.2/,
but that's quite painful.

Any helps will be appreciated.

Thanks,
Quanlong

Mime
View raw message